Download it now!
Bug 133342 - FORMATTING Preserve space in French percentage when Add/Delete decimal places
Summary: FORMATTING Preserve space in French percentage when Add/Delete decimal places
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Laurent BP
URL:
Whiteboard: target:7.0.0 target:7.1.0
Keywords:
Depends on:
Blocks: Number-Format
  Show dependency treegraph
 
Reported: 2020-05-24 10:28 UTC by Laurent BP
Modified: 2020-07-06 07:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2020-05-24 10:28:07 UTC
Description:
In French, typographic rules insert a space between number and percentage character. Predefined formats respect this rule. However, when adding or deleting decimal places with button or dialog, this space is lost.

Steps to Reproduce:
1. Enter a decimal value
2. Format > Cell > Numbers
3. Language = French (France)
4. Category = Percent, select a predefined format, with a space between number and "%" ; OK
5. Click on Add Decimal Place or Delete Decimal Place

Actual Results:
Space between number and percent is removed.

Expected Results:
Space between number and percent should be kept.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
May apply to other locales
Comment 1 b. 2020-05-25 09:51:54 UTC
repro, 

works for currencies, prob. workaround formats like '0,0000 [$%];-0,0000 [$%]', but calc likes to sort them to currencies ...

Version: 7.0.0.0.alpha1+ (x64)
Build ID: b587de60d4e6aa96238766272d94f1499b22f696
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI: en-US
Calc:
Comment 2 Commit Notification 2020-05-25 20:44:46 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/20f3a7e461381eb0db3e4ff526b69f3b1185c1c9

tdf#133342 Add user defined percent string

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-07-06 07:28:27 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e2da576bd07a389599f833f2cf1b09e6ead962d

tdf#133342 UnitTest Add/Delete decimal of percent

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.